Bug 103113 - boolean search
boolean search
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.18
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-26 13:19 EDT by Ben Levenson
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-10 12:48:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2003-08-26 13:19:20 EDT
Description of problem:
it seems as though my boolean search parameters are being ignored.

Steps to Reproduce:
1. select component : rpm
2. string search: A comment contains all of the words/strings: 
   db4 error device busy
3. Boolean charts: comment does not contain the string rebuilddb

Actual results:
bugs list includes bugs WITH "db4 error device busy" AND "rebuilddb".

Expected results:
bug list should include bugs WITH "db4 error device busy" AND NO "rebuilddb"

Additional info:
I've verified this behavior with "does not contain regexp" as well.
Comment 1 David Lawrence 2006-04-08 13:45:56 EDT
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.
Comment 2 Ben Levenson 2006-05-10 12:48:02 EDT
(bugzilla housekeeping)
closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.